## syslog-ng-3.34.1.tar.gz

=== modules/mqtt/CMakeLists.txt ===
find_package(eclipse-paho-mqtt-c)

module_switch(ENABLE_MQTT "Enable mqtt_destination" eclipse-paho-mqtt-c_FOUND)
if (NOT ENABLE_MQTT)
  return()
endif()

CHECK_STRUCT_HAS_MEMBER("MQTTClient_connectOptions" "httpProxy" "MQTTClient.h" SYSLOG_NG_HAVE_PAHO_HTTP_PROXY)

add_subdirectory(destination)

set(MQTT_SOURCES
    mqtt-parser.c
    mqtt-parser.h
    mqtt-plugins.c
)

add_module(
  TARGET mqtt
  GRAMMAR mqtt-grammar
  DEPENDS mqtt-destination
  SOURCES ${MQTT_SOURCES}
)

=== modules/mqtt/destination/CMakeLists.txt ===

set(MQTT_DEST_SOURCES
    mqtt-destination.c
    mqtt-destination.h
    mqtt-worker.c
    mqtt-worker.h
)

add_module(
  TARGET mqtt-destination
  DEPENDS eclipse-paho-mqtt-c::paho-mqtt3cs
  SOURCES ${MQTT_DEST_SOURCES}
  LIBRARY_TYPE STATIC # STATIC: Built as part of a larger libmqtt module
)

=== packaging/debian/changelog ===
syslog-ng (3.34.1-1) unstable; urgency=medium

  * New upstream release 3.34.1

 -- github-actions <github-actions@github.com>  Tue, 07 Sep 2021 17:57:41 +0000

syslog-ng (3.33.2-1) unstable; urgency=medium

  * New upstream release 3.33.2

 -- github-actions <github-actions@github.com>  Mon, 19 Jul 2021 09:05:54 +0000

syslog-ng (3.33.1-1) unstable; urgency=medium

  * New upstream release 3.33.1

 -- github-actions <github-actions@github.com>  Mon, 05 Jul 2021 17:16:40 +0000

syslog-ng (3.32.1-1) unstable; urgency=medium

  * New upstream release 3.32.1

 -- github-actions <github-actions@github.com>  Fri, 07 May 2021 06:26:13 +0000

syslog-ng (3.31.2-1) unstable; urgency=medium

  * New upstream release 3.31.2

 -- github-actions <github-actions@github.com>  Wed, 17 Mar 2021 16:37:02 +0000

syslog-ng (3.31.1-1) unstable; urgency=medium

  * New upstream release 3.31.1

 -- github-actions <github-actions@github.com>  Tue, 02 Mar 2021 18:55:27 +0000

syslog-ng (3.30.1-1) unstable; urgency=medium

  * New upstream release 3.30.1

 -- github-actions <github-actions@github.com>  Thu, 12 Nov 2020 12:59:09 +0000

syslog-ng (3.29.1-1) unstable; urgency=medium

  * New upstream release 3.29.1

 -- Laszlo Varady <stentor@x260>  Fri, 28 Aug 2020 12:13:25 +0000

syslog-ng (3.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Varady <laszlo.varady@balabit.com>  Tue, 16 Jun 2020 13:07:54 +0200

syslog-ng (3.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antal Nemes <antal.nemes@quest.com>  Tue, 28 Apr 2020 08:30:27 +0200

syslog-ng (3.26.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Update configuration version.

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Add support for the snmp() destination (syslog-ng-mod-snmp package).
  * Move the http() destination into a separate package (syslog-ng-mod-http).
  * Move BSD process accounting (pacct) support into the core package.
  * Move tags-parser() to the core package.
  * Add support for librdkafka based kafka destination (in mod-rdkafka
    package).
  * Use upstream scl.conf .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Mar 2020 14:18:20 +0000

syslog-ng (3.25.1-3) unstable; urgency=medium

  * Remove outdated pep8 build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Mar 2020 19:39:43 +0000

syslog-ng (3.25.1-2) unstable; urgency=medium

  * Update upstream bison update (closes: #949847).

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Remove unneeded/empty Makefile.am file.
  * Remove obsoleted sections from README.source .
  * Update github URL in copyright.
  * Change github url in the watch file.
  * Add wants/after lines into syslog-ng.systemd unit file.
  * Remove libgeoip-dev as build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2020 11:38:57 +0000

syslog-ng (3.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge in syslog-ng-mod-journal (closes: #924264).
  * Remove syslog-ng-mod-geoip module.
  * Python3ify syslog-ng-mod-python (closes: #938618).
  * Add upstream persist-tool manpage.
  * Backport upstream bison update.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Dec 2019 08:42:10 +0000

syslog-ng (3.19.1-6) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Fix FTBFS with bison 3.4.1 (closes: #931302).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Jul 2019 16:37:13 +0000

syslog-ng (3.19.1-5) unstable; urgency=high

  * Backport security fixes:
    - fix app-parser() per reload memory leak,
    - logger: fix leaking file handlers,
    - DNS memory leak/segfault fix,
    - cmake: add missing detection for O_LARGEFILE,
    - threaded-dest: fix integer overflow,
    - threaded-dest: move last_worker to DestDriver,
    - cmake: fix typo in HAVE_STRNLEN,
    - http: add missing free for self->body_template,
    - test_pathutils: fix leak,
    - test_file_list: fix leak,
    - template: tf_simple_func_prepare leak fix,
    - gorupingby: fix memory leak,
    - groupingby: fix invalid memory access.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 May 2019 11:03:30 +0000

syslog-ng (3.19.1-4) unstable; urgency=medium

  * Add dns_cache(no) to options (closes: #922524).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Apr 2019 11:02:19 +0000

syslog-ng (3.19.1-3) unstable; urgency=medium

  * Correct syslog-ng-mod-examples description (closes: #920846).
  * Disable pacctformat building on non-Linux systems.
  * Disable buggy upgrade self-test.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Feb 2019 18:47:26 +0000

syslog-ng (3.19.1-2) unstable; urgency=medium

  * Install SCL files from source (closes: #920512).
  * Make syslog-ng-mod-pacctformat linux-any.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Jan 2019 13:57:58 +0000

syslog-ng (3.19.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Don't try to run self-tests until its Criterion dependency packaged.
  * Merge syslog-ng-mod-json into syslog-ng-core.
  * Add syslog-ng-mod-geoip2 module.
  * Add syslog-ng-mod-pacctformat module.
  * Add syslog-ng-mod-examples module.
  * Update syslog-ng-mod-extra install.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Remove own compression option.
  * Prepare for Python 3 module.
  * Build with libcurl4-openssl-dev.
  * Patch to remove outdated documentation.
  * Remove own ABI virtual package.
  * Add http destination module to -core.
  * Add hook commands module to -core.
  * Add loggen modules to -core.
  * Add secret storage module to -core.
  * Install pkg-config files to MultiArch directory.
  * Update Standards-Version to 4.3.0 .



=== packaging/debian/control ===
Source: syslog-ng
Section: admin
Priority: optional
Maintainer: syslog-ng maintainers <syslog-ng-maintainers@alioth-lists.debian.net>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           SZALAY Attila <sasa@debian.org>
Build-Depends: debhelper (>= 10~),
               automake (>= 1:1.11.1),
               autoconf-archive,
               tzdata,
               pkg-config, flex, bison (>= 3.4.2),
               xsltproc, docbook-xsl,
               libesmtp-dev,
               libivykis-dev (>= 0.36.1~),
               libnet1-dev,
               libglib2.0-dev,
               libdbi-dev | libdbi0-dev,
               libssl-dev,
               libmongoc-dev,
               libbson-dev,
               libjson-c-dev | libjson0-dev,
               libwrap0-dev,
               libpcre3-dev,
               libcap-dev [linux-any],
               libsystemd-dev (>= 209) [linux-any],
               libhiredis-dev,
               libriemann-client-dev (>= 1.6.0~),
               librabbitmq-dev,
               python <sng-python2>, python-dev <sng-python2>, python-setuptools <sng-python2>,
               python3, python3-dev, dh-python,
               python3-ply, python3-setuptools,
               dh-exec (>= 0.13~),
               libxml2-utils, geoip-database,
               libmaxminddb-dev,
               libcurl4-openssl-dev,
               libsnappy-dev,
               libsnmp-dev [linux-any hurd-i386],
               librdkafka-dev (>= 1.1.0) <!sng-nokafka>,
               openjdk-8-jdk <!nojava>,
               gradle (>= 3.5.1~) <!nojava>,
               libpaho-mqtt-dev <!sng-nomqtt>
Build-Conflicts: autoconf2.13
Standards-Version: 4.4.1
Homepage: https://www.syslog-ng.com/
Vcs-Git: https://github.com/gcsideal/syslog-ng-debian.git
Vcs-Browser: https://github.com/gcsideal/syslog-ng-debian

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}), ${sng:CoreModules}
Recommends: ${sng:Modules}
Description: Enhanced system logging daemon (metapackage)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Enhanced system logging daemon (debug symbols)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: syslog-ng-dev
Section: libdevel
Architecture: any
Depends: syslog-ng-core (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison, python3,
 libglib2.0-dev, libivykis-dev (>= 0.30)
Description: Enhanced system logging daemon (development files)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10), lsb-base (>= 3.0-6)
Recommends: logrotate
Suggests: ${sng:CoreModules}, ${sng:Modules}
Provides: system-log-daemon, linux-kernel-log-daemon, libsyslog-ng-dev, syslog-ng-mod-journal, syslog-ng-mod-pacctformat, syslog-ng-mod-tag-parser, syslog-ng-mod-extra
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.19.1~), syslog-ng-mod-journal (<< 3.25.1~), syslog-ng-mod-pacctformat (<< 3.26.1~), syslog-ng-mod-tag-parser (<< 3.26.1~), syslog-ng-mod-extra (<< 3.26.1-2~)
Breaks: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.19.1~), syslog-ng-mod-journal (<< 3.25.1~), syslog-ng-mod-pacctformat (<< 3.26.1~), syslog-ng-mod-tag-parser (<< 3.26.1~), syslog-ng-mod-extra (<< 3.26.1-2~)
Description: Enhanced system logging daemon (core)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Suggests: mongodb-server
Description: Enhanced system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

Package: syslog-ng-mod-smtp
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Description: Enhanced system logging daemon (SMTP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SMTP destination plugin, which allows one
 to send email messages from within syslog-ng itself.

Package: syslog-ng-mod-amqp
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Suggests: rabbitmq-server
Description: Enhanced system logging daemon (AMQP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the AMQP destination plugin, which allows one
 to publish log messages through the AMQP protocol.

Package: syslog-ng-mod-geoip2
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Provides: syslog-ng-mod-geoip
Replaces: syslog-ng-mod-geoip (<< 3.25.1~)
Breaks: syslog-ng-mod-geoip (<< 3.25.1~)
Description: Enhanced system logging daemon (GeoIP2 plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the GeoIP2 template function plugin, which
 allows one to do non-DNS IP-to-country resolving from syslog-ng
